problemi con aggiornamento Grass

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

problemi con aggiornamento Grass

Gianluca Gasperini
Salve a tutti,

lavoro con Ubuntu 9.04

ho appena scaricato dal seguente repository
deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu jaunty main 
deb-src http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu jaunty main
Le nuove versioni di grass 6.4RC5 e qgis 1.3.0 con tutte le dipendenze che ci sono collegate

quando vado ad avviare grass questo si avvia, quando scelgo un location e un mapset ottengo una finestra con questa dicitura

errore di g.proi o proiezione: child killed:SIGABRT

e nella finestra con la shell di comando ottengo il seguente errore (riportato più sotto)

grass esce e resta aperta solo la shell di comando

Cosa posso fare per risolvere il problema?

Grazie a tutti
Ciao
Gianluca

ERRORE RIPORTATO NELLA SHELL

GRASS 6.4.0RC5 (ragnaino_4326):~ > *** glibc detected *** g.proj: double free or corruption (fasttop): 0x0900aee0 ***
======= Backtrace: =========
/lib/tls/i686/cmov/libc.so.6[0xb77e8604]
/lib/tls/i686/cmov/libc.so.6(cfree+0x96)[0xb77ea5b6]
/usr/lib/libstdc++.so.6(_ZdlPv+0x21)[0xb6a8c231]
/usr/lib/libstdc++.so.6(_ZNSs4_Rep10_M_destroyERKSaIcE+0x1d)[0xb6a689fd]
/usr/lib/libstdc++.so.6(_ZNSsD1Ev+0x51)[0xb6a6a3b1]
/lib/tls/i686/cmov/libc.so.6(__cxa_finalize+0xc1)[0xb77a7f51]
/usr/lib/libgeos-3.1.0.so[0xb68de504]
/usr/lib/libgeos-3.1.0.so[0xb69878f0]
/lib/ld-linux.so.2[0xb800aa73]
/lib/tls/i686/cmov/libc.so.6(exit+0x89)[0xb77a7bb9]
g.proj[0x804ab47]
/lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5)[0xb778f775]
g.proj[0x8049ad1]
======= Memory map: ========
08048000-0804d000 r-xp 00000000 08:03 138707     /usr/lib/grass64/bin/g.proj
0804d000-0804e000 r--p 00004000 08:03 138707     /usr/lib/grass64/bin/g.proj
0804e000-0804f000 rw-p 00005000 08:03 138707     /usr/lib/grass64/bin/g.proj
0900a000-0902b000 rw-p 0900a000 00:00 0          [heap]
b5800000-b5821000 rw-p b5800000 00:00 0
b5821000-b5900000 ---p b5821000 00:00 0
b59b3000-b59f2000 r--p 00000000 08:03 13395      /usr/lib/locale/it_IT.utf8/LC_CTYPE
b59f2000-b59f6000 rw-p b59f2000 00:00 0
b59f6000-b59f9000 r-xp 00000000 08:03 2603       /lib/libgpg-error.so.0.3.0
b59f9000-b59fa000 rw-p 00002000 08:03 2603       /lib/libgpg-error.so.0.3.0
b59fa000-b59fc000 r-xp 00000000 08:03 2608       /lib/libkeyutils-1.2.so
b59fc000-b59fd000 r--p 00001000 08:03 2608       /lib/libkeyutils-1.2.so
b59fd000-b59fe000 rw-p 00002000 08:03 2608       /lib/libkeyutils-1.2.so
b59fe000-b59ff000 rw-p b59fe000 00:00 0
b59ff000-b5a06000 r-xp 00000000 08:03 9962       /usr/lib/libkrb5support.so.0.1
b5a06000-b5a07000 r--p 00006000 08:03 9962       /usr/lib/libkrb5support.so.0.1
b5a07000-b5a08000 rw-p 00007000 08:03 9962       /usr/lib/libkrb5support.so.0.1
b5a08000-b5a2a000 r-xp 00000000 08:03 9954       /usr/lib/libk5crypto.so.3.1
b5a2a000-b5a2b000 r--p 00022000 08:03 9954       /usr/lib/libk5crypto.so.3.1
b5a2b000-b5a2c000 rw-p 00023000 08:03 9954       /usr/lib/libk5crypto.so.3.1
b5a2c000-b5a42000 r-xp 00000000 08:03 37046      /usr/lib/libsasl2.so.2.0.22
b5a42000-b5a43000 r--p 00015000 08:03 37046      /usr/lib/libsasl2.so.2.0.22
b5a43000-b5a44000 rw-p 00016000 08:03 37046      /usr/lib/libsasl2.so.2.0.22
b5a44000-b5a56000 r-xp 00000000 08:03 7989       /lib/tls/i686/cmov/libresolv-2.9.so
b5a56000-b5a57000 r--p 00011000 08:03 7989       /lib/tls/i686/cmov/libresolv-2.9.so
b5a57000-b5a58000 rw-p 00012000 08:03 7989       /lib/tls/i686/cmov/libresolv-2.9.so
b5a58000-b5a5a000 rw-p b5a58000 00:00 0
b5a5a000-b5a5c000 r-xp 00000000 08:03 2584       /lib/libcom_err.so.2.1
b5a5c000-b5a5d000 r--p 00001000 08:03 2584       /lib/libcom_err.so.2.1
b5a5d000-b5a5e000 rw-p 00002000 08:03 2584       /lib/libcom_err.so.2.1
b5a5e000-b5a5f000 rw-p b5a5e000 00:00 0
b5a5f000-b5aee000 r-xp 00000000 08:03 9960       /usr/lib/libkrb5.so.3.3
b5aee000-b5af0000 r--p 0008e000 08:03 9960       /usr/lib/libkrb5.so.3.3
b5af0000-b5af1000 rw-p 00090000 08:03 9960       /usr/lib/libkrb5.so.3.3
b5af1000-b5c24000 r-xp 00000000 08:03 49255      /lib/i686/cmov/libcrypto.so.0.9.8
b5c24000-b5c2c000 r--p 00132000 08:03 49255      /lib/i686/cmov/libcrypto.so.0.9.8
b5c2c000-b5c39000 rw-p 0013a000 08:03 49255      /lib/i686/cmov/libcrypto.so.0.9.8
b5c39000-b5c3d000 rw-p b5c39000 00:00 0
b5c3d000-b5c7f000 r-xp 00000000 08:03 80712      /lib/i686/cmov/libssl.so.0.9.8
b5c7f000-b5c80000 ---p 00042000 08:03 80712      /lib/i686/cmov/libssl.so.0.9.8
b5c80000-b5c81000 r--p 00042000 08:03 80712      /lib/i686/cmov/libssl.so.0.9.8
b5c81000-b5c84000 rw-p 00043000 08:03 80712      /lib/i686/cmov/libssl.so.0.9.8
b5c84000-b675a000 r--p 00000000 08:03 9919       /usr/lib/libicudata.so.38.1
b675a000-b675b000 r--p 00ad5000 08:03 9919       /usr/lib/libicudata.so.38.1
b675b000-b6878000 r-xp 00000000 08:03 9931       /usr/lib/libicuuc.so.38.1
b6878000-b6879000 ---p 0011d000 08:03 9931       /usr/lib/libicuuc.so.38.1
b6879000-b6881000 r--p 0011d000 08:03 9931       /usr/lib/libicuuc.so.38.1
b6881000-b6882000 rw-p 00125000 08:03 9931       /usr/lib/libicuuc.so.38.1
b6882000-b6885000 rw-p b6882000 00:00 0
b6885000-b69bf000 r-xp 00000000 08:03 133647     /usr/lib/libgeos-3.1.0.so
b69bf000-b69c3000 r--p 00139000 08:03 133647     /usr/lib/libgeos-3.1.0.so
b69c3000-b69c4000 rw-p 0013d000 08:03 133647     /usr/lib/libgeos-3.1.0.so
b69c4000-b69d1000 r-xp 00000000 08:03 2599       /lib/libgcc_s.so.1
b69d1000-b69d2000 r--p 0000c000 08:03 2599       /lib/libgcc_s.so.1
b69d2000-b69d3000 rw-p 0000d000 08:03 2599       /lib/libgcc_s.so.1
b69d3000-b6ab7000 r-xp 00000000 08:03 10246      /usr/lib/libstdc++.so.6.0.10
b6ab7000-b6abb000 r--p 000e3000 08:03 10246      /usr/lib/libstdc++.so.6.0.10
b6abb000-b6abc000 rw-p 000e7000 08:03 10246      /usr/lib/libstdc++.so.6.0.10
b6abc000-b6ac2000 rw-p b6abc000 00:00 0
b6ac2000-b6ad7000 r-xp 00000000 08:03 6930       /lib/tls/i686/cmov/libnsl-2.9.so
b6ad7000-b6ad8000 r--p 00014000 08:03 6930       /lib/tls/i686/cmov/libnsl-2.9.so
b6ad8000-b6ad9000 rw-p 00015000 08:03 6930       /lib/tls/i686/cmov/libnsl-2.9.so
b6ad9000-b6adb000 rw-p b6ad9000 00:00 0
b6adb000-b6ae4000 r-xp 00000000 08:03 6561       /lib/tls/i686/cmov/libcrypt-2.9.so
b6ae4000-b6ae5000 r--p 00008000 08:03 6561       /lib/tls/i686/cmov/libcrypt-2.9.so
b6ae5000-b6ae6000 rw-p 00009000 08:03 6561       /lib/tls/i686/cmov/libcrypt-2.9.so
b6ae6000-b6b0e000 rw-p b6ae6000 00:00 0
b6b0e000-b6b23000 r-xp 00000000 08:03 7920       /lib/tls/i686/cmov/libpthread-2.9.so
b6b23000-b6b24000 r--p 00014000 08:03 7920       /lib/tls/i686/cmov/libpthread-2.9.so
b6b24000-b6b25000 rw-p 00015000 08:03 7920       /lib/tls/i686/cmov/libpthread-2.9.so
b6b25000-b6b27000 rw-p b6b25000 00:00 0
b6b27000-b6cc6000 r-xp 00000000 08:03 80115      /usr/lib/libmysqlclient.so.15.0.0
b6cc6000-b6cc9000 r--p 0019e000 08:03 80115      /usr/lib/libmysqlclient.so.15.0.0
b6cc9000-b6d09000 rw-p 001a1000 08:03 80115      /usr/lib/libmysqlclient.so.15.0.0
b6d09000-b6d0a000 rw-p b6d09000 00:00 0
b6d0a000-b6d70000 r-xp 00000000 08:03 2601       /lib/libgcrypt.so.11.4.4
b6d70000-b6d71000 r--p 00065000 08:03 2601       /lib/libgcrypt.so.11.4.4
b6d71000-b6d73000 rw-p 00066000 08:03 2601       /lib/libgcrypt.so.11.4.4
b6d73000-b6d83000 r-xp 00000000 08:03 10253      /usr/lib/libtasn1.so.3.0.16
b6d83000-b6d84000 r--p 0000f000 08:03 10253      /usr/lib/libtasn1.so.3.0.16
b6d84000-b6d85000 rw-p 00010000 08:03 10253      /usr/lib/libtasn1.so.3.0.16
b6d85000-b6e1c000 r-xp 00000000 08:03 25581      /usr/lib/libgnutls.so.26.4.6
b6e1c000-b6e21000 r--p 00097000 08:03 25581      /usr/lib/libgnutls.so.26.4.6
b6e21000-b6e22000 rw-p 0009c000 08:03 25581      /usr/lib/libgnutls.so.26.4.6
b6e22000-b6e4b000 r-xp 00000000 08:03 9809       /usr/lib/libgssapi_krb5.so.2.2
b6e4b000-b6e4c000 r--p 00028000 08:03 9809       /usr/lib/libgssapi_krb5.so.2.2
b6e4c000-b6e4d000 rw-p 00029000 08:03 9809       /usr/lib/libgssapi_krb5.so.2.2
b6e4d000-b6e4e000 rw-p b6e4d000 00:00 0
b6e4e000-b6e55000 r-xp 00000000 08:03 7990       /lib/tls/i686/cmov/librt-2.9.so
b6e55000-b6e56000 r--p 00006000 08:03 7990       /lib/tls/i686/cmov/librt-2.9.so
b6e56000-b6e57000 rw-p 00007000 08:03 7990       /lib/tls/i686/cmov/librt-2.9.so
b6e57000-b6e97000 r-xp 00000000 08:03 9971       /usr/lib/libldap_r-2.4.so.2.4.1
b6e97000-b6e98000 ---p 00040000 08:03 9971       /usr/lib/libldap_r-2.4.so.2.4.1
b6e98000-b6e99000 r--p 00040000 08:03 9971       /usr/lib/libldap_r-2.4.so.2.4.1
b6e99000-b6e9a000 rw-p 00041000 08:03 9971       /usr/lib/libldap_r-2.4.so.2.4.1
b6e9a000-b6e9b000 rw-p b6e9a000 00:00 0
b6e9b000-b6ea7000 r-xp 00000000 08:03 9966       /usr/lib/liblber-2.4.so.2.4.1
b6ea7000-b6ea8000 r--p 0000b000 08:03 9966       /usr/lib/liblber-2.4.so.2.4.1
b6ea8000-b6ea9000 rw-p 0000c000 08:03 9966       /usr/lib/liblber-2.4.so.2.4.1
b6ea9000-b6ed9000 r-xp 00000000 08:03 9934       /usr/lib/libidn.so.11.5.39
b6ed9000-b6eda000 ---p 00030000 08:03 9934       /usr/lib/libidn.so.11.5.39
b6eda000-b6edb000 r--p 00030000 08:03 9934       /usr/lib/libidn.so.11.5.39
b6edb000-b6edc000 rw-p 00031000 08:03 9934       /usr/lib/libidn.so.11.5.39
b6edc000-b6f15000 r-xp 00000000 08:03 205027     /usr/lib/libcurl-gnutls.so.4.1.0
b6f15000-b6f16000 r--p 00038000 08:03 205027     /usr/lib/libcurl-gnutls.so.4.1.0
b6f16000-b6f17000 rw-p 00039000 08:03 205027     /usr/lib/libcurl-gnutls.so.4.1.0
b6f17000-b6f18000 rw-p b6f17000 00:00 0
b6f18000-b6f37000 r-xp 00000000 08:03 87421      /usr/lib/libpq.so.5.1
b6f37000-b6f38000 r--p 0001e000 08:03 87421      /usr/lib/libpq.so.5.1
b6f38000-b6f39000 rw-p 0001f000 08:03 87421      /usr/lib/libpq.so.5.1
b6f39000-b6f68000 r-xp 00000000 08:03 80184      /usr/lib/libnetcdf.so.4.0.0
b6f68000-b6f69000 rw-p 0002e000 08:03 80184      /usr/lib/libnetcdf.so.4.0.0
b6f690Error in startup script: can't read "proj_is_ll": no such variable
    while executing
"if { $proj_is_ll } {
        # Explore mode is off by default (can't peer past 90deg)
        set exploremode($mon) 0
    } else {
        # Explore mode is on by..."
    (procedure "MapCanvas::create" line 38)
    invoked from within
"MapCanvas::create"
    (procedure "Gm::startmon" line 11)
    invoked from within
"Gm::startmon"
    (procedure "Gm::create" line 79)
    invoked from within
"Gm::create"
    (procedure "main" line 30)
    invoked from within
"main $argc $argv"
    (file "/usr/lib/grass64/etc/gm/gm.tcl" line 566)

--
Gianluca Gasperini
via Lupinaio, 6
56040 Lorenzana - Pisa - Italia
[hidden email]
mobile: +39 346 51 04 525
Tel & Fax.: +39 050 662 969
skype: gianluca.gasperini

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: problemi con aggiornamento Grass

Giovanni Manghi
Salve,

É un problema che ho giá segnalato su [hidden email]
a chi pacchettizza per quel repository. Aspettiamo novitá.

Saluti

-- Giovanni --



On Tue, 2009-09-15 at 16:25 +0200, Gianluca Gasperini wrote:

> Salve a tutti,
>
> lavoro con Ubuntu 9.04
>
> ho appena scaricato dal seguente repository
> deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu jaunty main
>
> deb-src http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu jaunty main
> Le nuove versioni di grass 6.4RC5 e qgis 1.3.0 con tutte le dipendenze
> che ci sono collegate
>
> quando vado ad avviare grass questo si avvia, quando scelgo un
> location e un mapset ottengo una finestra con questa dicitura
>
> errore di g.proi o proiezione: child killed:SIGABRT
>
>
> e nella finestra con la shell di comando ottengo il seguente errore
> (riportato più sotto)
>
> grass esce e resta aperta solo la shell di comando
>
> Cosa posso fare per risolvere il problema?
>
> Grazie a tutti
> Ciao
> Gianluca
>
> ERRORE RIPORTATO NELLA SHELL
>
> GRASS 6.4.0RC5 (ragnaino_4326):~ > *** glibc detected *** g.proj:
> double free or corruption (fasttop): 0x0900aee0 ***
> ======= Backtrace: =========
> /lib/tls/i686/cmov/libc.so.6[0xb77e8604]
> /lib/tls/i686/cmov/libc.so.6(cfree+0x96)[0xb77ea5b6]
> /usr/lib/libstdc++.so.6(_ZdlPv+0x21)[0xb6a8c231]
> /usr/lib/libstdc++.so.6(_ZNSs4_Rep10_M_destroyERKSaIcE
> +0x1d)[0xb6a689fd]
> /usr/lib/libstdc++.so.6(_ZNSsD1Ev+0x51)[0xb6a6a3b1]
> /lib/tls/i686/cmov/libc.so.6(__cxa_finalize+0xc1)[0xb77a7f51]
> /usr/lib/libgeos-3.1.0.so[0xb68de504]
> /usr/lib/libgeos-3.1.0.so[0xb69878f0]
> /lib/ld-linux.so.2[0xb800aa73]
> /lib/tls/i686/cmov/libc.so.6(exit+0x89)[0xb77a7bb9]
> g.proj[0x804ab47]
> /lib/tls/i686/cmov/libc.so.6(__libc_start_main+0xe5)[0xb778f775]
> g.proj[0x8049ad1]
> ======= Memory map: ========
> 08048000-0804d000 r-xp 00000000 08:03
> 138707     /usr/lib/grass64/bin/g.proj
> 0804d000-0804e000 r--p 00004000 08:03
> 138707     /usr/lib/grass64/bin/g.proj
> 0804e000-0804f000 rw-p 00005000 08:03
> 138707     /usr/lib/grass64/bin/g.proj
> 0900a000-0902b000 rw-p 0900a000 00:00 0          [heap]
> b5800000-b5821000 rw-p b5800000 00:00 0
> b5821000-b5900000 ---p b5821000 00:00 0
> b59b3000-b59f2000 r--p 00000000 08:03
> 13395      /usr/lib/locale/it_IT.utf8/LC_CTYPE
> b59f2000-b59f6000 rw-p b59f2000 00:00 0
> b59f6000-b59f9000 r-xp 00000000 08:03
> 2603       /lib/libgpg-error.so.0.3.0
> b59f9000-b59fa000 rw-p 00002000 08:03
> 2603       /lib/libgpg-error.so.0.3.0
> b59fa000-b59fc000 r-xp 00000000 08:03
> 2608       /lib/libkeyutils-1.2.so
> b59fc000-b59fd000 r--p 00001000 08:03
> 2608       /lib/libkeyutils-1.2.so
> b59fd000-b59fe000 rw-p 00002000 08:03
> 2608       /lib/libkeyutils-1.2.so
> b59fe000-b59ff000 rw-p b59fe000 00:00 0
> b59ff000-b5a06000 r-xp 00000000 08:03
> 9962       /usr/lib/libkrb5support.so.0.1
> b5a06000-b5a07000 r--p 00006000 08:03
> 9962       /usr/lib/libkrb5support.so.0.1
> b5a07000-b5a08000 rw-p 00007000 08:03
> 9962       /usr/lib/libkrb5support.so.0.1
> b5a08000-b5a2a000 r-xp 00000000 08:03
> 9954       /usr/lib/libk5crypto.so.3.1
> b5a2a000-b5a2b000 r--p 00022000 08:03
> 9954       /usr/lib/libk5crypto.so.3.1
> b5a2b000-b5a2c000 rw-p 00023000 08:03
> 9954       /usr/lib/libk5crypto.so.3.1
> b5a2c000-b5a42000 r-xp 00000000 08:03
> 37046      /usr/lib/libsasl2.so.2.0.22
> b5a42000-b5a43000 r--p 00015000 08:03
> 37046      /usr/lib/libsasl2.so.2.0.22
> b5a43000-b5a44000 rw-p 00016000 08:03
> 37046      /usr/lib/libsasl2.so.2.0.22
> b5a44000-b5a56000 r-xp 00000000 08:03
> 7989       /lib/tls/i686/cmov/libresolv-2.9.so
> b5a56000-b5a57000 r--p 00011000 08:03
> 7989       /lib/tls/i686/cmov/libresolv-2.9.so
> b5a57000-b5a58000 rw-p 00012000 08:03
> 7989       /lib/tls/i686/cmov/libresolv-2.9.so
> b5a58000-b5a5a000 rw-p b5a58000 00:00 0
> b5a5a000-b5a5c000 r-xp 00000000 08:03
> 2584       /lib/libcom_err.so.2.1
> b5a5c000-b5a5d000 r--p 00001000 08:03
> 2584       /lib/libcom_err.so.2.1
> b5a5d000-b5a5e000 rw-p 00002000 08:03
> 2584       /lib/libcom_err.so.2.1
> b5a5e000-b5a5f000 rw-p b5a5e000 00:00 0
> b5a5f000-b5aee000 r-xp 00000000 08:03
> 9960       /usr/lib/libkrb5.so.3.3
> b5aee000-b5af0000 r--p 0008e000 08:03
> 9960       /usr/lib/libkrb5.so.3.3
> b5af0000-b5af1000 rw-p 00090000 08:03
> 9960       /usr/lib/libkrb5.so.3.3
> b5af1000-b5c24000 r-xp 00000000 08:03
> 49255      /lib/i686/cmov/libcrypto.so.0.9.8
> b5c24000-b5c2c000 r--p 00132000 08:03
> 49255      /lib/i686/cmov/libcrypto.so.0.9.8
> b5c2c000-b5c39000 rw-p 0013a000 08:03
> 49255      /lib/i686/cmov/libcrypto.so.0.9.8
> b5c39000-b5c3d000 rw-p b5c39000 00:00 0
> b5c3d000-b5c7f000 r-xp 00000000 08:03
> 80712      /lib/i686/cmov/libssl.so.0.9.8
> b5c7f000-b5c80000 ---p 00042000 08:03
> 80712      /lib/i686/cmov/libssl.so.0.9.8
> b5c80000-b5c81000 r--p 00042000 08:03
> 80712      /lib/i686/cmov/libssl.so.0.9.8
> b5c81000-b5c84000 rw-p 00043000 08:03
> 80712      /lib/i686/cmov/libssl.so.0.9.8
> b5c84000-b675a000 r--p 00000000 08:03
> 9919       /usr/lib/libicudata.so.38.1
> b675a000-b675b000 r--p 00ad5000 08:03
> 9919       /usr/lib/libicudata.so.38.1
> b675b000-b6878000 r-xp 00000000 08:03
> 9931       /usr/lib/libicuuc.so.38.1
> b6878000-b6879000 ---p 0011d000 08:03
> 9931       /usr/lib/libicuuc.so.38.1
> b6879000-b6881000 r--p 0011d000 08:03
> 9931       /usr/lib/libicuuc.so.38.1
> b6881000-b6882000 rw-p 00125000 08:03
> 9931       /usr/lib/libicuuc.so.38.1
> b6882000-b6885000 rw-p b6882000 00:00 0
> b6885000-b69bf000 r-xp 00000000 08:03
> 133647     /usr/lib/libgeos-3.1.0.so
> b69bf000-b69c3000 r--p 00139000 08:03
> 133647     /usr/lib/libgeos-3.1.0.so
> b69c3000-b69c4000 rw-p 0013d000 08:03
> 133647     /usr/lib/libgeos-3.1.0.so
> b69c4000-b69d1000 r-xp 00000000 08:03 2599       /lib/libgcc_s.so.1
> b69d1000-b69d2000 r--p 0000c000 08:03 2599       /lib/libgcc_s.so.1
> b69d2000-b69d3000 rw-p 0000d000 08:03 2599       /lib/libgcc_s.so.1
> b69d3000-b6ab7000 r-xp 00000000 08:03 10246      /usr/lib/libstdc
> ++.so.6.0.10
> b6ab7000-b6abb000 r--p 000e3000 08:03 10246      /usr/lib/libstdc
> ++.so.6.0.10
> b6abb000-b6abc000 rw-p 000e7000 08:03 10246      /usr/lib/libstdc
> ++.so.6.0.10
> b6abc000-b6ac2000 rw-p b6abc000 00:00 0
> b6ac2000-b6ad7000 r-xp 00000000 08:03
> 6930       /lib/tls/i686/cmov/libnsl-2.9.so
> b6ad7000-b6ad8000 r--p 00014000 08:03
> 6930       /lib/tls/i686/cmov/libnsl-2.9.so
> b6ad8000-b6ad9000 rw-p 00015000 08:03
> 6930       /lib/tls/i686/cmov/libnsl-2.9.so
> b6ad9000-b6adb000 rw-p b6ad9000 00:00 0
> b6adb000-b6ae4000 r-xp 00000000 08:03
> 6561       /lib/tls/i686/cmov/libcrypt-2.9.so
> b6ae4000-b6ae5000 r--p 00008000 08:03
> 6561       /lib/tls/i686/cmov/libcrypt-2.9.so
> b6ae5000-b6ae6000 rw-p 00009000 08:03
> 6561       /lib/tls/i686/cmov/libcrypt-2.9.so
> b6ae6000-b6b0e000 rw-p b6ae6000 00:00 0
> b6b0e000-b6b23000 r-xp 00000000 08:03
> 7920       /lib/tls/i686/cmov/libpthread-2.9.so
> b6b23000-b6b24000 r--p 00014000 08:03
> 7920       /lib/tls/i686/cmov/libpthread-2.9.so
> b6b24000-b6b25000 rw-p 00015000 08:03
> 7920       /lib/tls/i686/cmov/libpthread-2.9.so
> b6b25000-b6b27000 rw-p b6b25000 00:00 0
> b6b27000-b6cc6000 r-xp 00000000 08:03
> 80115      /usr/lib/libmysqlclient.so.15.0.0
> b6cc6000-b6cc9000 r--p 0019e000 08:03
> 80115      /usr/lib/libmysqlclient.so.15.0.0
> b6cc9000-b6d09000 rw-p 001a1000 08:03
> 80115      /usr/lib/libmysqlclient.so.15.0.0
> b6d09000-b6d0a000 rw-p b6d09000 00:00 0
> b6d0a000-b6d70000 r-xp 00000000 08:03
> 2601       /lib/libgcrypt.so.11.4.4
> b6d70000-b6d71000 r--p 00065000 08:03
> 2601       /lib/libgcrypt.so.11.4.4
> b6d71000-b6d73000 rw-p 00066000 08:03
> 2601       /lib/libgcrypt.so.11.4.4
> b6d73000-b6d83000 r-xp 00000000 08:03
> 10253      /usr/lib/libtasn1.so.3.0.16
> b6d83000-b6d84000 r--p 0000f000 08:03
> 10253      /usr/lib/libtasn1.so.3.0.16
> b6d84000-b6d85000 rw-p 00010000 08:03
> 10253      /usr/lib/libtasn1.so.3.0.16
> b6d85000-b6e1c000 r-xp 00000000 08:03
> 25581      /usr/lib/libgnutls.so.26.4.6
> b6e1c000-b6e21000 r--p 00097000 08:03
> 25581      /usr/lib/libgnutls.so.26.4.6
> b6e21000-b6e22000 rw-p 0009c000 08:03
> 25581      /usr/lib/libgnutls.so.26.4.6
> b6e22000-b6e4b000 r-xp 00000000 08:03
> 9809       /usr/lib/libgssapi_krb5.so.2.2
> b6e4b000-b6e4c000 r--p 00028000 08:03
> 9809       /usr/lib/libgssapi_krb5.so.2.2
> b6e4c000-b6e4d000 rw-p 00029000 08:03
> 9809       /usr/lib/libgssapi_krb5.so.2.2
> b6e4d000-b6e4e000 rw-p b6e4d000 00:00 0
> b6e4e000-b6e55000 r-xp 00000000 08:03
> 7990       /lib/tls/i686/cmov/librt-2.9.so
> b6e55000-b6e56000 r--p 00006000 08:03
> 7990       /lib/tls/i686/cmov/librt-2.9.so
> b6e56000-b6e57000 rw-p 00007000 08:03
> 7990       /lib/tls/i686/cmov/librt-2.9.so
> b6e57000-b6e97000 r-xp 00000000 08:03
> 9971       /usr/lib/libldap_r-2.4.so.2.4.1
> b6e97000-b6e98000 ---p 00040000 08:03
> 9971       /usr/lib/libldap_r-2.4.so.2.4.1
> b6e98000-b6e99000 r--p 00040000 08:03
> 9971       /usr/lib/libldap_r-2.4.so.2.4.1
> b6e99000-b6e9a000 rw-p 00041000 08:03
> 9971       /usr/lib/libldap_r-2.4.so.2.4.1
> b6e9a000-b6e9b000 rw-p b6e9a000 00:00 0
> b6e9b000-b6ea7000 r-xp 00000000 08:03
> 9966       /usr/lib/liblber-2.4.so.2.4.1
> b6ea7000-b6ea8000 r--p 0000b000 08:03
> 9966       /usr/lib/liblber-2.4.so.2.4.1
> b6ea8000-b6ea9000 rw-p 0000c000 08:03
> 9966       /usr/lib/liblber-2.4.so.2.4.1
> b6ea9000-b6ed9000 r-xp 00000000 08:03
> 9934       /usr/lib/libidn.so.11.5.39
> b6ed9000-b6eda000 ---p 00030000 08:03
> 9934       /usr/lib/libidn.so.11.5.39
> b6eda000-b6edb000 r--p 00030000 08:03
> 9934       /usr/lib/libidn.so.11.5.39
> b6edb000-b6edc000 rw-p 00031000 08:03
> 9934       /usr/lib/libidn.so.11.5.39
> b6edc000-b6f15000 r-xp 00000000 08:03
> 205027     /usr/lib/libcurl-gnutls.so.4.1.0
> b6f15000-b6f16000 r--p 00038000 08:03
> 205027     /usr/lib/libcurl-gnutls.so.4.1.0
> b6f16000-b6f17000 rw-p 00039000 08:03
> 205027     /usr/lib/libcurl-gnutls.so.4.1.0
> b6f17000-b6f18000 rw-p b6f17000 00:00 0
> b6f18000-b6f37000 r-xp 00000000 08:03 87421      /usr/lib/libpq.so.5.1
> b6f37000-b6f38000 r--p 0001e000 08:03 87421      /usr/lib/libpq.so.5.1
> b6f38000-b6f39000 rw-p 0001f000 08:03 87421      /usr/lib/libpq.so.5.1
> b6f39000-b6f68000 r-xp 00000000 08:03
> 80184      /usr/lib/libnetcdf.so.4.0.0
> b6f68000-b6f69000 rw-p 0002e000 08:03
> 80184      /usr/lib/libnetcdf.so.4.0.0
> b6f690Error in startup script: can't read "proj_is_ll": no such
> variable
>     while executing
> "if { $proj_is_ll } {
>         # Explore mode is off by default (can't peer past 90deg)
>         set exploremode($mon) 0
>     } else {
>         # Explore mode is on by..."
>     (procedure "MapCanvas::create" line 38)
>     invoked from within
> "MapCanvas::create"
>     (procedure "Gm::startmon" line 11)
>     invoked from within
> "Gm::startmon"
>     (procedure "Gm::create" line 79)
>     invoked from within
> "Gm::create"
>     (procedure "main" line 30)
>     invoked from within
> "main $argc $argv"
>     (file "/usr/lib/grass64/etc/gm/gm.tcl" line 566)
>
> --
> Gianluca Gasperini
> via Lupinaio, 6
> 56040 Lorenzana - Pisa - Italia
> [hidden email]
> mobile: +39 346 51 04 525
> Tel & Fax.: +39 050 662 969
> skype: gianluca.gasperini
> _______________________________________________
> Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
> [hidden email]
> http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
> Questa e' una lista di discussione pubblica aperta a tutti.
> I messaggi di questa lista non rispecchiano necessariamente
> le posizioni dell'Associazione GFOSS.it.

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: problemi con aggiornamento Grass

Markus Neteler
In reply to this post by Gianluca Gasperini
2009/9/15 Gianluca Gasperini <[hidden email]>:

> Salve a tutti,
>
> lavoro con Ubuntu 9.04
>
> ho appena scaricato dal seguente repository
>
> deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu jaunty main
>
> deb-src http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu jaunty
> main
>
> Le nuove versioni di grass 6.4RC5 e qgis 1.3.0 con tutte le dipendenze che
> ci sono collegate
>
> quando vado ad avviare grass questo si avvia, quando scelgo un location e un
> mapset ottengo una finestra con questa dicitura
>
> errore di g.proi o proiezione: child killed:SIGABRT

Credo che sia questo problema:
http://lists.osgeo.org/pipermail/grass-dev/2009-August/045439.html
https://bugs.launchpad.net/ubuntu/+source/geos/+bug/387299

Markus
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: problemi con aggiornamento Grass

Gianluca Gasperini
Grazie Markus,

il problema è esattamente quello che mi hai riportato

ho controllato la libreria 'libgeos-c1' avevo la versione 3.0.1 l'ho aggiornata lla 3.1.1-januty1 però non ho risolto il problema grass va in crach ugulmente e dà lo stesso problema.

come posso fare per risolvere?

non è necessario riavviare il PC dopo l'aggioramento vero?

altra domanda ora ho installato libgidal1-1.5.0-grass e libgidal1-1.6.0-grass
questo può creare problemi

Ciao
Grazie
Gianluca


Il giorno 15 settembre 2009 17.47, Markus Neteler <[hidden email]> ha scritto:
2009/9/15 Gianluca Gasperini <[hidden email]>:
> Salve a tutti,
>
> lavoro con Ubuntu 9.04
>
> ho appena scaricato dal seguente repository
>
> deb http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu jaunty main
>
> deb-src http://ppa.launchpad.net/ubuntugis/ubuntugis-unstable/ubuntu jaunty
> main
>
> Le nuove versioni di grass 6.4RC5 e qgis 1.3.0 con tutte le dipendenze che
> ci sono collegate
>
> quando vado ad avviare grass questo si avvia, quando scelgo un location e un
> mapset ottengo una finestra con questa dicitura
>
> errore di g.proi o proiezione: child killed:SIGABRT

Credo che sia questo problema:
http://lists.osgeo.org/pipermail/grass-dev/2009-August/045439.html
https://bugs.launchpad.net/ubuntu/+source/geos/+bug/387299

Markus



--
Gianluca Gasperini
via Lupinaio, 6
56040 Lorenzana - Pisa - Italia
[hidden email]
mobile: +39 346 51 04 525
Tel & Fax.: +39 050 662 969
skype: gianluca.gasperini

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: problemi con aggiornamento Grass

Francesco P. Lovergine
On Tue, Sep 15, 2009 at 05:58:06PM +0200, Gianluca Gasperini wrote:

> Grazie Markus,
>
> il problema è esattamente quello che mi hai riportato
>
> ho controllato la libreria 'libgeos-c1' avevo la versione 3.0.1 l'ho
> aggiornata lla 3.1.1-januty1 però non ho risolto il problema grass va in
> crach ugulmente e dà lo stesso problema.
>
> come posso fare per risolvere?
>
> non è necessario riavviare il PC dopo l'aggioramento vero?
>
> altra domanda ora ho installato libgidal1-1.5.0-grass e
> libgidal1-1.6.0-grass
> questo può creare problemi
>

Come gia' segnalto anche ad Alan che si occupa di ubuntugis,
il plugin di gdal deve essere allineato (rebuilt) sia con grass
che con gdal, particolarmente nel caso di RC: per dirne una
senza rebuilding c'e' da aspettarsi problemi anche nel passaggio
RC4 -> RC5. Idem per Qgis versus tutto il resto. E particolarmente
se Qgis usa ancora (?) l'API C++ di Gdal. Dai prossimi rilasci
aggiungero' lo strict versioning per le dipendenze, per cui
non riuscirai piu' a far coesistere package non sincronizzati,
ma ad oggi e' ancora 'rilassata' tale dipendenza. Il motivo
e' che tipicamente mi assicuro io che le cose siano allineate.
Generalmente

--
Francesco P. Lovergine
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: problemi con aggiornamento Grass

Gianluca Gasperini
grazie,
in effeti il mio problema è avventuo proprio nel passaggio da RC4 a RC5

al momento sono riuscito a far funzionare grass utilizzando i pacchetti del repository di www.les-ejk.cz

questo perà ha comportato che adesso ho installato GRASS 6.4 RC5 e Qgis 1.1.0
al momento però è Qgis che non funziona, appena lo lancio (sia da dentro grass che da solo) mi dà un errore che dice (ni sostanza) cha ha qualche libreria sbagliata

come posso fare per fare downgrade a grass 6.4 RC4 visto che nn mi sembra più presete sui repository
oppure como posso fare per allineare le varie libreirie?

grazie ancora per l'aiuto

Ciao
Gianluca

Il giorno 16 settembre 2009 11.48, Francesco P. Lovergine <[hidden email]> ha scritto:
On Tue, Sep 15, 2009 at 05:58:06PM +0200, Gianluca Gasperini wrote:
> Grazie Markus,
>
> il problema è esattamente quello che mi hai riportato
>
> ho controllato la libreria 'libgeos-c1' avevo la versione 3.0.1 l'ho
> aggiornata lla 3.1.1-januty1 però non ho risolto il problema grass va in
> crach ugulmente e dà lo stesso problema.
>
> come posso fare per risolvere?
>
> non è necessario riavviare il PC dopo l'aggioramento vero?
>
> altra domanda ora ho installato libgidal1-1.5.0-grass e
> libgidal1-1.6.0-grass
> questo può creare problemi
>

Come gia' segnalto anche ad Alan che si occupa di ubuntugis,
il plugin di gdal deve essere allineato (rebuilt) sia con grass
che con gdal, particolarmente nel caso di RC: per dirne una
senza rebuilding c'e' da aspettarsi problemi anche nel passaggio
RC4 -> RC5. Idem per Qgis versus tutto il resto. E particolarmente
se Qgis usa ancora (?) l'API C++ di Gdal. Dai prossimi rilasci
aggiungero' lo strict versioning per le dipendenze, per cui
non riuscirai piu' a far coesistere package non sincronizzati,
ma ad oggi e' ancora 'rilassata' tale dipendenza. Il motivo
e' che tipicamente mi assicuro io che le cose siano allineate.
Generalmente

--
Francesco P. Lovergine



--
Gianluca Gasperini
via Lupinaio, 6
56040 Lorenzana - Pisa - Italia
[hidden email]
mobile: +39 346 51 04 525
Tel & Fax.: +39 050 662 969
skype: gianluca.gasperini

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: problemi con aggiornamento Grass

pcav
Gianluca Gasperini ha scritto:
> grazie,
> in effeti il mio problema è avventuo proprio nel passaggio da RC4 a RC5

la compilazione di qgis in debian e' facilissima, come ultima risorsa puoi ricorrere a questo.
saluti.
--
Paolo Cavallini: http://www.faunalia.it/pc
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.